Cache
Get cache info
GET
Return model cache size, pip cache size, and data folder paths.
Successful Response
application/json- response
model_cache_size*Model Cache SizeHuman-readable model cache size (e.g. '1.2 GB')
pip_cache_size*Pip Cache SizeHuman-readable pip cache size (e.g. '500 MB')
data_folder*Data FolderAbsolute path to the active data folder
is_custom_data_folder*Is Custom Data FolderWhether a custom data folder is configured
default_data_folder*Default Data FolderAbsolute path to the default data folder
custom_data_folder_unavailable*Custom Data Folder UnavailableWhether the configured custom folder is inaccessible
configured_custom_path*Configured Custom PathConfigured custom data folder path (may be empty)
curl -X GET 'http://127.0.0.1:8100/api/v1/cache/info'Example Response200
{ "model_cache_size": "string", "pip_cache_size": "string", "data_folder": "string", "is_custom_data_folder": true, "default_data_folder": "string", "custom_data_folder_unavailable": true, "configured_custom_path": "string"}